View Issue Details

IDProjectCategoryView StatusLast Update
0032739Open CASCADEOCCT:Configurationpublic2022-10-19 15:55
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032739: Configuration, scripts - handle ABI list within macOS building script adm/scripts/macos_build.sh
DescriptionCurrently adm/scripts/macos_build.sh handles single ABI at single call. It is proposed supporting a list of architectures.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032738 verifiedvpozdyayev Configuration, scripts - handle ABI list within iOS building script adm/scripts/ios_build.sh 

Activities

git

2021-12-17 09:54

administrator   ~0106042

Branch CR32739 has been created by kgv.

SHA-1: 284edeee09ff10d6c56d5b9d469b1f35d0a39cdb


Detailed log of new commits:

Author: kgv
Date: Fri Dec 17 09:53:46 2021 +0300

    0032739: Configuration, scripts - handle ABI list within macOS building script adm/scripts/macos_build.sh

git

2021-12-17 10:05

administrator   ~0106043

Branch CR32739 has been updated forcibly by kgv.

SHA-1: efca7377cad5df69201b6aec65802501341f7909

git

2021-12-17 10:08

administrator   ~0106046

Branch CR32739 has been updated forcibly by kgv.

SHA-1: e0a1131ff4fea33bd9d0b63c5456166f9482679a

kgv

2021-12-17 10:10

developer   ~0106047

Please raise the patch
- OCCT: branch CR32739.

smoskvin

2021-12-18 15:24

administrator   ~0106068

Combination -
OCCT branch : IR-2021-12-17
master SHA - 302ad26bffd1ef35a61b8b25b79b9376d9a3e906
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-17 SHA - 98edda224f5e3516cba5be029bc70c3df45ca649
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18206.60000000041 / 18222.99000000043 [-0.09%]
Products
Total CPU difference: 11646.460000000101 / 11645.100000000084 [+0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20012.890625 / 20000.0 [+0.06%]
Products
Total CPU difference: 13093.890625 / 13044.453125 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-09 21:34

administrator   ~0106832

Branch CR32739 has been deleted by kgv.

SHA-1: e0a1131ff4fea33bd9d0b63c5456166f9482679a

Related Changesets

occt: master 302ad26b

2021-12-17 09:53:46

kgv


Committer: smoskvin Details Diff
0032739: Configuration, scripts - handle ABI list within macOS building script adm/scripts/macos_build.sh Affected Issues
0032739
mod - adm/scripts/macos_build.sh Diff File
mod - adm/scripts/macos_custom.sh.template Diff File

Issue History

Date Modified Username Field Change
2021-12-17 08:12 kgv New Issue
2021-12-17 08:12 kgv Assigned To => bugmaster
2021-12-17 08:12 kgv Relationship added related to 0032738
2021-12-17 09:54 git Note Added: 0106042
2021-12-17 10:05 git Note Added: 0106043
2021-12-17 10:08 git Note Added: 0106046
2021-12-17 10:10 kgv Status new => resolved
2021-12-17 10:10 kgv Test case number => N/A
2021-12-17 10:10 kgv Note Added: 0106047
2021-12-17 10:10 kgv Status resolved => reviewed
2021-12-18 15:24 smoskvin Status reviewed => tested
2021-12-18 15:24 smoskvin Note Added: 0106068
2021-12-18 20:24 smoskvin Changeset attached => occt master 302ad26b
2021-12-18 20:24 kgv Assigned To bugmaster => kgv
2021-12-18 20:24 kgv Status tested => verified
2021-12-18 20:24 kgv Resolution open => fixed
2022-02-09 21:34 git Note Added: 0106832
2022-10-19 15:55 smoskvin Assigned To kgv => vpozdyayev